## php4-imap 4.3.10-2ubuntu2

=== debian/changelog ===
php4-imap (4:4.3.10-2ubuntu2) hoary; urgency=low

  * Split source package, based off sources from Ubuntu's 4:4.3.10-2ubuntu1
    (closes: Ubuntu#5495).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 27 Jan 2005 17:16:43 +1100

php4 (4:4.3.10-2ubuntu2) hoary; urgency=low

  * SECURITY UPDATE: fix open_basedir bypass
  * added curl_check_open_basedir.patch:
    - ext/curl/curl.c, curl_init(): check open_basedir restriction on file://
      urls, deny opening disallowed files
    - Thanks to VeNoMouS for an inspiration of the patch
  * References:
    http://www.securitytracker.com/alerts/2004/Oct/1011984.html

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Jan 2005 17:12:34 +0100

php4 (4:4.3.10-2ubuntu1) hoary; urgency=low

  * Merged to Debian release, resolved minor merging conflicts.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 13 Jan 2005 11:11:20 +0100

php4 (4:4.3.10-2) unstable; urgency=high

  * Patch Zend/zend_strtod.c twice:
    - Patch from upstream CVS to fix FTBFS on Sparc/Linux systems
    - Patch from me to fix FTBFS on __mc68000__, __ia64__, and __s390__

 -- Adam Conrad <adconrad@0c3.net>  Sat, 18 Dec 2004 19:35:30 -0700

php4 (4:4.3.10-1) unstable; urgency=high

  * New upstream release, including the following security fixes:
    - CAN-2004-1018 - shmop_write() out of bounds memory write access.
    - CAN-2004-1018 - integer overflow/underflow in pack() and unpack()
      functions.
    - CAN-2004-1019 - possible information disclosure, double free and
      negative reference index array underflow in deserialization code.
    - CAN-2004-1020 - addslashes() not escaping \0 correctly.
    - CAN-2004-1063 - safe_mode execution directory bypass.
    - CAN-2004-1064 - arbitrary file access through path truncation.
    - CAN-2004-1065 - exif_read_data() overflow on long sectionname.
    - magic_quotes_gpc could lead to one level directory traversal with
      file uploads.
  * Adjust patch offsets for new upstream, fix 013-force_getaddrinfo.patch
    to match with new configure.in and drop 026-4.3.10_session_fixes.patch
    which is included in 4.3.10.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 15 Dec 2004 17:17:40 -0700

php4 (4:4.3.9-2ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Fri, 03 Dec 2004 12:47:04 +0000

php4 (4:4.3.9-2) unstable; urgency=low

  * Adam Conrad <adconrad@0c3.net>:
    - Add -fno-strict-aliasing to CFLAGS, as the (several thousand)
      warnings I'm getting from GCC are frightening me a tad.
    - Remove the php-cgi alternative in php4-cgi's prerm, to avoid
      leaving dangling symlinks (closes: #275962, #282315)
    - Include 030-imap_getacl.patch, adding the imap_getacl() function
      required by the GOsa project (closes: #282484)
    - Include php.ini-paranoid in doc/examples, provided and maintained
      by Javier Fernndez-Sanguino Pea (closes: #274374)
    - Make /cgi-bin/php4 an alternative for /cgi-bin/php (closes: #282464)
    - Remove obsolete info from README.Debian relating to session_mm,
      since we stopped building with libmm a while back.
    - Reintroduce /usr/lib/php4/libexec that went missing in a previous
      upload, since the build uses it as the default safe_mode exec dir.
  * Andres Salomon <dilinger@voxel.net>:
    - Add patch to include gd headers in php4-dev, as some PECL modules
      (notably, pdflib) expect it; 028-export_gd_headers.patch.
    - Lintian fix: Add missing #DEBHELPER# token to php4-common.postrm.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 01 Dec 2004 18:48:13 -0700

php4 (4:4.3.9-1ubuntu1) hoary; urgency=low

  * Remove caudium-php and php4-imap packages

 -- Thom May <thom@canonical.com>  Wed,  3 Nov 2004 13:47:32 +0000

php4 (4:4.3.9-1) unstable; urgency=high

  * New upstream release, removed the following patches fixed upstream:
    014-apache2handler_CVS_fixes.patch, 015-gdNewDynamicCtx_Add_Ex.patch,
    018-unix_socket_fd_leak.patch, 020-4.3.9_overflow_fixes.patch,
    021-4.3.9_sybase_ct_fixes.patch, 022-4.3.9_sprintf_fixes.patch,
    023-4.3.9_array_fixes.patch, 024-4.3.9_glob_fix.patch,
    and 025-4.3.9_domxml_segfaults.patch
  * Resolves undiscolsed vulnerabilities in GPC processing and rfc1867
    handling of file uploads via the $_FILES array (closes: #274206)
  * After some fairly heavy testing from several users and developers,
    finally update php4-snmp to use libsnmp5 (closes: #195929)
  * Add 026-4.3.10_session_fixes.patch from CVS, which prevents PHP
    from segfaulting when a nonexistant or unsupported save_handler or
    serialize_handler is specified in php.ini.
  * Add /etc/apache/conf.d/php4.conf, setting up our mime-types, on the
    off chance that the user's /etc/mime.types is broken (closes: #271171)
  * Reintroduce a CGI binary at /usr/bin/php4-cgi, so people who can't
    make use of the --force-cgi-redirect CGI binary in /usr/lib/cgi-bin
    can instead use #!/usr/bin/php4-cgi scripts (closes: #273143)
  * Enable FastCGI for both CGI binaries, now that it no longer conflicts
    with, but rather complements, the CGI SAPI (closes: #233849)
  * Bump libgd2 build-dep a notch to make sure we build against a version
    that actually has XPM support built in (closes: #270435)
  * Finally drop the bogus libapache-mod-ssl dependency from the apache1.3
    php4 module, as glibc (>= 2.3.2.ds1-17) has fixed the dlopen refcount
    bug that we were hacking around (closes: #205553, #230956, #271000)
  * Remove the mm session handler from the apache1.3 build.  Since the
    files handler now works on all arches, and is configured to be secure
    by default, mm seems to have outlived its usefulness.
    (closes: #119902, #149430, #166811, #272463, #232840)
  * Rename sapi/apache2handler/sapi_apache2.c to mod_php4.c so that
    <IfModule> directives aren't ambiguous between php4 and php5.
  * Add Czech translation, thanks to Miroslav Kure (closes: #274038)

