=== debian/control ===
Source: php4-imap
Section: web
Priority: optional
Maintainer: Adam Conrad <adconrad@0c3.net>
Uploaders: Steve Langasek <vorlon@debian.org>, Andres Salomon <dilinger@voxel.net>
Build-Depends: debhelper (>= 3), php4-dev (>= 4.3.10), libc-client-dev, libkrb5-dev
Standards-Version: 3.6.1

Package: php4-imap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php4-common (>= ${php:UpstreamVersion})
Replaces: php4-cgi-imap
Description: IMAP module for php4
 This package provides a module for IMAP functions in PHP scripts.
 .
 PHP4 is an HTML-embedded scripting language. Much of its syntax is borrowed
 from C, Java and Perl with a couple of unique PHP-specific features thrown
 in. The goal of the language is to allow web developers to write
 dynamically generated pages quickly.
